# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TUnionTypeEntry

Packages that use TUnionTypeEntry
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TUnionTypeEntry in com.databricks.jdbc.model.client.thrift.generated

Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TUnionTypeEntry
Modifier and Type
Class
Description
`class`
`TUnionTypeEntry`
`class`
`TUnionTypeEntry`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TUnionTypeEntry
Modifier and Type
Method
Description
`TUnionTypeEntry`
TUnionTypeEntry.`deepCopy()`
`TUnionTypeEntry`
TTypeEntry.`getUnionEntry()`
`TUnionTypeEntry`
TUnionTypeEntry.`setNameToTypePtr(Map<String,Integer> nameToTypePtr)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TUnionTypeEntry
Modifier and Type
Method
Description
`int`
TUnionTypeEntry.`compareTo(TUnionTypeEntry other)`
`boolean`
TUnionTypeEntry.`equals(TUnionTypeEntry that)`
`void`
TTypeEntry.`setUnionEntry(TUnionTypeEntry value)`
`static TTypeEntry`
TTypeEntry.`unionEntry(TUnionTypeEntry value)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TUnionTypeEntry
Modifier
Constructor
Description
``
`TUnionTypeEntry(TUnionTypeEntry other)`
Performs a deep copy on other.